%global soversion 1

Name:           mopac
Version:        22.0.0
Release:        1%{?dist}
Summary:        A semiempirical quantum chemistry program
License:        LGPLv3+
URL:            http://openmopac.net
Source0:        https://github.com/openmopac/mopac/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  flexiblas-devel
BuildRequires:  gcc-gfortran
BuildRequires:  cmake
BuildRequires:  make

# Fix library directory location
Patch0:         mopac-22.0.0-libdir.patch
# Turn off rpath
Patch1:         mopac-22.0.0-rpath.patch

# For license file
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description
The modern open-source version of the Molecular Orbital PACkage
(MOPAC), a semiempirical quantum chemistry program based on Dewar and
Thiel's NDDO approximation.

%package libs
Summary:        MOPAC runtime libraries

%description libs
This package contains MOPAC's runtime libraries.

%package devel
Summary:        MOPAC development library
Requires:       %{name}-libs%{_isa} = %{version}-%{release}

%description devel
This package contains MOPAC's development library.

%prep
%setup -q
%patch0 -p1 -b .libdir
%patch1 -p1 -b .rpath

%build
%cmake -DENABLE_MKL=OFF -DCMAKE_INSTALL_RPATH_USE_LINK_PATH=OFF
%cmake_build

%install
%cmake_install
# Remove extraneous files
for f in INSTALL.txt add-to-path.sh mopac.ico remove-from-path.sh; do
    rm %{buildroot}%{_usr}/$f
done

%check
%ctest

%files
%{_bindir}/mopac
%{_bindir}/mopac-makpol
%{_bindir}/mopac-param

%files libs
%license COPYING COPYING.lesser
%doc README.md AUTHORS.rst
%{_libdir}/libmopac.so.%{soversion}*

%files devel
%{_libdir}/libmopac.so

%changelog
* Mon May 02 2022 Susi Lehtola <jussilehtola@fedoraproject.org> - 22.0.0-1
- First release.

